org.apache.sysds.runtime.compress.colgroup.mapping

## Class AMapToData

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData

Direct Known Subclasses:
  MapToBit, MapToByte, MapToChar, MapToInt

    public abstract class AMapToData
    extends Object

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `fill(int v)`
`abstract long` `getExactSizeOnDisk()`
`abstract int` `getIndex(int n)`
`abstract long` `getInMemorySize()`
`int` `getUnique()`
`abstract void` `set(int n, int v)`
`abstract int` `size()`
`String` `toString()`
`abstract void` `write(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getUnique

    public int getUnique()

#### getIndex

    public abstract int getIndex(int n)

#### set

    public abstract void set(int n,
                             int v)

#### fill

    public abstract void fill(int v)

#### getInMemorySize

    public abstract long getInMemorySize()

#### getExactSizeOnDisk

    public abstract long getExactSizeOnDisk()

#### size

    public abstract int size()

#### write

    public abstract void write(DataOutput out)
                        throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`